org.apache.solr.update.processor

## Class DistributedUpdateProcessorFactory

- java.lang.Object
- - org.apache.solr.update.processor.UpdateRequestProcessorFactory
  - - org.apache.solr.update.processor.DistributedUpdateProcessorFactory

- All Implemented Interfaces:
    DistributingUpdateProcessorFactory, NamedListInitializedPlugin

      public class DistributedUpdateProcessorFactory
      extends UpdateRequestProcessorFactory
      implements DistributingUpdateProcessorFactory

  Factory for `DistributedUpdateProcessor`.
  See Also:
    `DistributedUpdateProcessor`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.update.processor.UpdateRequestProcessorFactory

      `UpdateRequestProcessorFactory.RunAlways`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.solr.update.processor.DistributingUpdateProcessorFactory

      `DISTRIB_UPDATE_PARAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributedUpdateProcessorFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addParamToDistributedRequestWhitelist(SolrQueryRequest req, String... paramNames)` By default, the `DistributedUpdateProcessor` is extremely conservative in the list of request params that will be copied/included when updates are forwarded to other nodes.
    `DistributedUpdateProcessor` | `getInstance(SolrQueryRequest req, SolrQueryResponse rsp, UpdateRequestProcessor next)`
    `void` | `init(NamedList args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DistributedUpdateProcessorFactory

          public DistributedUpdateProcessorFactory()

  - ### Method Detail

    - #### addParamToDistributedRequestWhitelist

          public static void addParamToDistributedRequestWhitelist(SolrQueryRequest req,
                                                                   String... paramNames)

      By default, the `DistributedUpdateProcessor` is extremely conservative in the list of request params that will be copied/included when updates are forwarded to other nodes. This method may be used by any `UpdateRequestProcessorFactory.getInstance(org.apache.solr.request.SolrQueryRequest, org.apache.solr.response.SolrQueryResponse, org.apache.solr.update.processor.UpdateRequestProcessor)` call to annotate a SolrQueryRequest with the names of parameters that should also be forwarded.

    - #### init

          public void init(NamedList args)

      Specified by:
        `init` in interface `NamedListInitializedPlugin`
      Overrides:
        `init` in class `UpdateRequestProcessorFactory`

    - #### getInstance

          public DistributedUpdateProcessor getInstance(SolrQueryRequest req,
                                                        SolrQueryResponse rsp,
                                                        UpdateRequestProcessor next)

      Specified by:
        `getInstance` in class `UpdateRequestProcessorFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.